 #ifndef __PUCK_HPP__
 #define __PUCK_HPP__
 
 #include "BLEDevice.h"
 
class Puck {
    private:
        
        BLEDevice _ble;
        
        uint8_t _beaconPayload[25];
        
    public:
        /** Initialize the Puck library
         */
        Puck(uint16_t minor);
        
        /** The BLE Device 
          * @return ble device
          */
        BLEDevice ble() { return _ble; }
        
        /** Initialize the BLE Device and start advertising
         */
        void init();
};
 
 #endif // __PUCK_HPP__